
//dataTable 组件
(function($) {
	
	platformDataTableDefault={//默认配置
			"bDestory": true,
			"bLengthChange": false,// 每页显示的记录数
			"bServerSide" : true,//服务端处理分页
			"bProcessing": false,//当datatable获取数据时候是否显示正在处理提示信息
			"bPaginate" : true,//是否分页
			"bFilter" : false,//关闭搜索
			"fnServerData": function ( sSource, aoData, fnCallback, oSettings ) {
	        	oSettings.jqXHR = $.ajax( {
	              "dataType": 'json',
	              "type": "POST",
	              "url": sSource,
	              "data": aoData,
	              "success": fnCallback
	            } );
			},
			"sServerMethod" : "POST",
			"iDisplayStart" : 0,
			"iDisplayLength" : 10,//每页显示6条记录
			"sDom": "<'row'<'col-xs-6'l><'col-xs-6'f>r>t<'row'<'col-xs-6'i><'col-xs-6'p>>",//定义DataTable布局的一个强大属性
			"sPaginationType" : "bootstrap",//分页样式
			"oLanguage" : {//语言国际化
				"oPaginate" : {
					"sFirst": "首页",
					"sPrevious" : "上一页",
					"sNext": "下一页",
					"sLast": "末页"
				},
				"sProcessing" : "正在加载中......",
				"sSearch": "搜索",
				"sInfo": "当前显示 _START_ 到 _END_ 条，共 _TOTAL_ 条记录，共 _MAXPAGE_ 页",
				"sEmptyTable": "没有查询到数据！",
				"sInfoEmpty": "当前显示 0 条，共 _TOTAL_ 条记录，共 _MAXPAGE_ 页"
			},
			"aoColumnDefs" : [ { 'sDefaultContent' : '',  'aTargets': [ '_all' ] } ]
	};
	$.extend($.fn, {
		platformDataTable:function(options){//校验方法
			if ( $(this[0]).is('table')) {
				var settings = $.extend( true, {},platformDataTableDefault, options );
				var dataTable=this.dataTable(settings);
				return dataTable;
			}else{
				
			}
		}
	});
}(jQuery));

//Ajax重新load控件数据
//tables--datatable对象
//data--存放查询条件的json数组
function drawTable(tables,data){
    var oSettings = tables.fnSettings();
    oSettings.fnServerData = function ( sSource, aoData, fnCallback, oSettings ) {
    	for(var i=0;i<data.length;i++){
    		aoData.push(data[i]);
    	}
        oSettings.jqXHR = $.ajax( {
			"dataType": 'json',
			"type": "POST",
			"url": sSource,
			"data": aoData,
			"success": fnCallback
		} );
    };
    //tables.fnClearTable(0);
    tables.fnDraw();
}
